GLM-5.2, MiniMax M3 and Opus 5 are now live. Try them now
EUrouter

Rerank

API reference for Rerank

OpenAPI JSON

Rerank documents

POST
/api/v1/rerank

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.eurouter.ai/api/v1/rerank" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "query": "string",    "documents": [      "string"    ],    "property1": null,    "property2": null  }'
{
  "id": "string",
  "model": "string",
  "results": [
    {
      "index": -9007199254740991,
      "relevance_score": 0,
      "document": {
        "text": "string"
      }
    }
  ],
  "usage": {
    "prompt_tokens": -9007199254740991,
    "total_tokens": -9007199254740991,
    "search_units": -9007199254740991,
    "cost": 0,
    "cost_currency": "USD",
    "cost_eur": 0,
    "is_byok": true,
    "cost_details": {
      "upstream_inference_cost": 0,
      "upstream_inference_prompt_cost": 0,
      "upstream_inference_completions_cost": 0
    }
  },
  "provider": "string"
}

Was this page helpful?

Still stuck? Contact support